Notes de llançament per Debian 11 (bullseye), 64-bit MIPS (little endian)

El projecte de documentació de Debian

Aquest document és programari lliure, el podeu redistribuir i/o modificar sota els termes de la Llicència Pública General de GNU versió 2 de la llicència, tal com la publica la Free Software Foundation.

Aquest programa es distribueix amb l'esperança que serà útil, però sense cap garantia, fins i tot sense la garantia implícita de COMERCIALITZACIÓ o IDONEÏTAT PER A UN PROPÒSIT PARTICULAR. Consulteu la llicència general pública de GNU per a més detalls.

Hauríeu d'haver rebut una còpia de la llicència pública general GNU amb este programa; si no, escriviu a la Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Podeu també trobar el text amb la llicència a https://www.gnu.org/licenses/gpl-2.0.html i a /usr/share/common-licenses/GPL-2 en els sistemes Debian.


Sumari

1. Introducció
1.1. Informar d'errors d'este document
1.2. Col·laborar amb informes d'actualització
1.3. Font d'este document
2. Què hi ha de nou a Debian 11
2.1. Arquitectures suportades
2.2. Què hi ha de nou a la distribució?
2.2.1. Desktops and well known packages
2.2.2. Driverless scanning and printing
2.2.3. New generic open command
2.2.4. Control groups v2
2.2.5. Persistent systemd journal
2.2.6. New Fcitx 5 Input Method
2.2.7. Notícies de Debian Med Blend
2.2.8. Kernel support for exFAT
2.2.9. Improved man page translations
2.2.10. Improved support for alternative init systems
3. El sistema d'instal·lació
3.1. Què hi ha de nou al sistema d'instal·lació?
3.1.1. Help with installation of firmware
3.1.2. Instal·lació automatitzada
3.2. Container and Virtual Machine images
4. Upgrades from Debian 10 (buster)
4.1. Preparació de l'actualització
4.1.1. Back up any data or configuration information
4.1.2. Inform users in advance
4.1.3. Prepare for downtime on services
4.1.4. Prepare for recovery
4.1.5. Prepare a safe environment for the upgrade
4.2. Start from «pure» Debian
4.2.1. Upgrade to Debian 10 (buster)
4.2.2. Remove non-Debian packages
4.2.3. Upgrade to latest point release
4.2.4. Prepare the package database
4.2.5. Remove obsolete packages
4.2.6. Clean up leftover configuration files
4.2.7. The security section
4.2.8. The proposed-updates section
4.2.9. Unofficial sources
4.2.10. Disabling APT pinning
4.2.11. Check package status
4.3. Preparing APT source-list files
4.3.1. Adding APT Internet sources
4.3.2. Adding APT sources for a local mirror
4.3.3. Adding APT sources from optical media
4.4. Upgrading packages
4.4.1. Recording the session
4.4.2. Updating the package list
4.4.3. Make sure you have sufficient space for the upgrade
4.4.4. Minimal system upgrade
4.4.5. Upgrading the system
4.5. Possible issues during upgrade
4.5.1. Dist-upgrade fails with «Could not perform immediate configuration»
4.5.2. Expected removals
4.5.3. Conflicts or Pre-Depends loops
4.5.4. File conflicts
4.5.5. Configuration changes
4.5.6. Change of session to console
4.6. Upgrading your kernel and related packages
4.6.1. Installing a kernel metapackage
4.7. Preparing for the next release
4.7.1. Purging removed packages
4.8. Paquets obsolets
4.8.1. Transitional dummy packages
5. Problemes a tenir en compte a bullseye
5.1. Actualització d'elements específics per bullseye
5.1.1. The XFS file system no longer supports barrier/nobarrier option
5.1.2. Changed security archive layout
5.1.3. Password hashing uses yescrypt by default
5.1.4. NSS NIS and NIS+ support require new packages
5.1.5. Config file fragment handling in unbound
5.1.6. rsync parameter deprecation
5.1.7. Vim addons handling
5.1.8. OpenStack and cgroups v1
5.1.9. OpenStack API policy files
5.1.10. sendmail downtime during upgrade
5.1.11. FUSE 3
5.1.12. GnuPG options file
5.1.13. Linux enables user namespaces by default
5.1.14. Linux disables unprivileged calls to bpf() by default
5.1.15. redmine missing in bullseye
5.1.16. Exim 4.94
5.1.17. SCSI device probing is non-deterministic
5.1.18. rdiff-backup require lockstep upgrade of server and client
5.1.19. Intel CPU microcode issues
5.1.20. Upgrades involving libgc1c2 need two runs
5.1.21. fail2ban can't send e-mail using mail from bsd-mailx
5.1.22. No new SSH connections possible during upgrade
5.1.23. Coses a fer després de reinicialitzar
5.2. Items not limited to the upgrade process
5.2.1. Limitacions en el suport de seguretat
5.2.2. Accedir a la configuració de GNOME sense ratolí
5.2.3. The rescue boot option is unusable without a root password
5.3. Obsolescence and deprecation
5.3.1. Paquets notables obsolets
5.3.2. Components desfasats a bullseye
5.4. Known severe bugs
6. Més informació sobre Debian
6.1. Llegir més
6.2. Trobar ajuda
6.2.1. Llistes de correu
6.2.2. Internet Relay Chat
6.3. Informes d'error
6.4. Col·laborar amb Debian
A. Gestió del vostre sistema buster abans de l'actualització
A.1. Actualització del vostre sistema buster
A.2. Comprovació dels fitxers de llista de fonts d'APT
A.3. Eliminar fitxers de configuració obsolets
B. Contribuïdors de les notes de llançament
Índex alfabètic
glossari